Roundup Tracker - Issues

Issue 2550958

classification
Title: ImportError in nosyreaction.py: "No module named sets_ "
Type: compile error Severity: normal
Components: Mail interface Versions: 1.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ezio.melotti, matt109
Priority: Keywords:

Created on 2018-01-09 16:58 by matt109, last changed 2018-01-15 01:25 by rouilj.

Messages
msg6054 Author: [hidden] (matt109) Date: 2018-01-09 16:58
I am attempting to move roundup issue tracker to a new server. I have
installed python 2.7.14 (previosly the version was 2.7.6) and I am
recieveing the following error when attempting to start the roundup
windows service:

The instance's SvcRun() method failed 
Traceback (most recent call last):
  File "C:\Python27\lib\site-packages\win32\lib\win32serviceutil.py",
line 835, in SvcRun
    self.SvcDoRun()
  File
"C:\Python27\lib\site-packages\roundup\scripts\roundup_server.py", line
712, in SvcDoRun
    self.server = config.get_server()
  File
"C:\Python27\lib\site-packages\roundup\scripts\roundup_server.py", line
607, in get_server
    for (name, home) in tracker_homes])
  File "C:\Python27\lib\site-packages\roundup\instance.py", line 305, in
open
    return Tracker(tracker_home, optimize=optimize)
  File "C:\Python27\lib\site-packages\roundup\instance.py", line 76, in
__init__
    self.detectors = self.get_extensions('detectors')
  File "C:\Python27\lib\site-packages\roundup\instance.py", line 186, in
get_extensions
    self._execfile(os.path.join(dirname, name), env)
  File "C:\Python27\lib\site-packages\roundup\instance.py", line 217, in
_execfile
    self._exec(self._compile(fname), env)
  File "C:\Python27\lib\site-packages\roundup\instance.py", line 211, in
_exec
    exec(obj, env)
  File "D:\Roundup\detectors\nosyreaction.py", line 21, in <module>
    from roundup.anypy.sets_ import set
ImportError: No module named sets_ 
%2: %3

If I remove the nosyreaction.* files from the detectors directory in the
tracker home, the service starts as expected.
msg6055 Author: [hidden] (ezio.melotti) Date: 2018-01-09 19:23
You should be able to just remove the import, since sets have been
builtin in Python for a while and roundup.anypy.sets_ should be gone
now.
If it wasn't failing before is probably because you still had a
sets_.pyc lying around from a previous version of Roundup.

Best Regards,
Ezio Melotti

On Tue, Jan 9, 2018 at 5:58 PM, Matt <issues@roundup-tracker.org> wrote:
>
> New submission from Matt:
>
> I am attempting to move roundup issue tracker to a new server. I have
> installed python 2.7.14 (previosly the version was 2.7.6) and I am
> recieveing the following error when attempting to start the roundup
> windows service:
>
> The instance's SvcRun() method failed
> Traceback (most recent call last):
>   File "C:\Python27\lib\site-packages\win32\lib\win32serviceutil.py",
> line 835, in SvcRun
>     self.SvcDoRun()
>   File
> "C:\Python27\lib\site-packages\roundup\scripts\roundup_server.py", line
> 712, in SvcDoRun
>     self.server = config.get_server()
>   File
> "C:\Python27\lib\site-packages\roundup\scripts\roundup_server.py", line
> 607, in get_server
>     for (name, home) in tracker_homes])
>   File "C:\Python27\lib\site-packages\roundup\instance.py", line 305, in
> open
>     return Tracker(tracker_home, optimize=optimize)
>   File "C:\Python27\lib\site-packages\roundup\instance.py", line 76, in
> __init__
>     self.detectors = self.get_extensions('detectors')
>   File "C:\Python27\lib\site-packages\roundup\instance.py", line 186, in
> get_extensions
>     self._execfile(os.path.join(dirname, name), env)
>   File "C:\Python27\lib\site-packages\roundup\instance.py", line 217, in
> _execfile
>     self._exec(self._compile(fname), env)
>   File "C:\Python27\lib\site-packages\roundup\instance.py", line 211, in
> _exec
>     exec(obj, env)
>   File "D:\Roundup\detectors\nosyreaction.py", line 21, in <module>
>     from roundup.anypy.sets_ import set
> ImportError: No module named sets_
> %2: %3
>
> If I remove the nosyreaction.* files from the detectors directory in the
> tracker home, the service starts as expected.
>
> ----------
> components: Mail interface
> messages: 6054
> nosy: matt109
> severity: normal
> status: new
> title: ImportError in nosyreaction.py: "No module named sets_ "
> type: compile error
> versions: 1.5
>
> ________________________________________________
> Roundup tracker <issues@roundup-tracker.org>
> <http://issues.roundup-tracker.org/issue2550958>
> ________________________________________________
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Roundup-devel mailing list
> Roundup-devel@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/roundup-devel
msg6056 Author: [hidden] (matt109) Date: 2018-01-10 09:41
Thanks Ezio for the helpfull pointers, you were indeed correct... the
previous installation worked because of the legacy sets_.py file.

I created a test Tracker with roundup-admin install, compared the
nosyreaction.py files and noticed the change in imports. Replacing the
legacy version with this file allows the service to now start as expected.

Thanks for your help.
History
Date User Action Args
2018-01-15 01:25:18rouiljsetstatus: new -> closed
resolution: fixed
2018-01-10 09:41:13matt109setmessages: + msg6056
2018-01-09 19:23:35ezio.melottisetnosy: + ezio.melotti
messages: + msg6055
2018-01-09 16:58:59matt109create